Page MenuHomePhabricator

Inputbox does not support variants conversion on Chinese sites
Closed, ResolvedPublic

Description

When variants conversion mark -{}- is used on searchbuttonlabel and default field, it is supposed to show different variants. But now only raw wikitext is shown (like -{zh-cn:foo; zh-tw:bar;}-). It is believed that the conversion works yesterday but is down for now. Here and here are some examples.
@A2093064 has tested all Chinese sites and the result is it does not work on all the wikis except Beta Cluster.

It seem happened after the deploy of 1.31.0-wmf.7 .

Event Timeline

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptNov 14 2017, 4:11 PM
LNDDYL added a subscriber: LNDDYL.Nov 15 2017, 6:12 AM

@Yuriy_kosygin: Please do not ping without any content and explanation why you ping me specifically. Thanks!

@Aklapper Sorry, I missing explanation, cause I think maybe you can understand this problem...

@Yuriy_kosygin: If you have specific questions or requests, please provide specific questions or requests. I still don't know what you wanted, even if I "understood the problem" - which I do not. :)

Cwek added a subscriber: Cwek.Nov 17 2017, 2:30 AM
Cwek updated the task description. (Show Details)

@Cwek: How/why is this related to the MediaWiki-Language-converter codebase?

Cwek added a comment.Nov 21 2017, 1:01 AM

@Aklapper It seems that it has the code of the language converter so I think it maybe belongs to this tag and someone working on this tag will help us.

And I can't understand it broken after the deploy of 1.31.0-wmf.7.

Cwek added a comment.Nov 21 2017, 1:10 AM

I had read the history of Inputbox and it looks like nothing wrong about it.

Antigng added a subscriber: Antigng.EditedNov 21 2017, 2:08 AM

This seems to be a side effect of this commit.

T119158

Legoktm added a subscriber: Bawolff.
Bawolff added a comment.EditedNov 21 2017, 3:27 AM

So yes, this is my bad. Sorry about only responding now, I just became aware of this bug.

@A2093064 has tested all Chinese sites and the result is it does not work on all the wikis except Beta Cluster.

Yes, the relavent patch was deployed to chinese sites on Monday, but to beta cluster only on Tuesday evening.


Ok, so old behaviour was:

previous behaviour
<inputbox>
type=fulltext
searchbuttonlabel=This text not translated -{}- Text here is translated -{}- Text here is not translated
</inputbox>

<inputbox>
type=fulltext
default=-{zh-hans: If viewing simplified this text is output; zh-hant: If viewing traditional this version output}-
</inputbox>

With the patch, the text of the default or searchbuttonlabel parameter is never translated.

The easiest thing to do here would be to translate those fields if (and only if) -{ is present in the text. This is not exactly the same as what happened before. Would that be good enough?

There's other possibilities as well, such as always converting these fields (In a sense it would make sense, they are essentially text)

Change 392568 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[mediawiki/extensions/InputBox@master] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392568

Change 392568 merged by jenkins-bot:
[mediawiki/extensions/InputBox@master] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392568

Change 392744 had a related patch set uploaded (by Legoktm; owner: Brian Wolff):
[mediawiki/extensions/InputBox@REL1_30] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392744

Change 392744 merged by jenkins-bot:
[mediawiki/extensions/InputBox@REL1_30] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392744

Change 392745 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[mediawiki/extensions/InputBox@wmf/1.31.0-wmf.8] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392745

Change 392749 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[mediawiki/extensions/InputBox@REL1_29] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392749

Change 392750 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[mediawiki/extensions/InputBox@REL1_28] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392750

Change 392751 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[mediawiki/extensions/InputBox@REL1_27] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392751

Change 392749 merged by jenkins-bot:
[mediawiki/extensions/InputBox@REL1_29] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392749

Change 392751 merged by jenkins-bot:
[mediawiki/extensions/InputBox@REL1_27] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392751

Change 392745 merged by jenkins-bot:
[mediawiki/extensions/InputBox@wmf/1.31.0-wmf.8] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392745

Bawolff closed this task as Resolved.Nov 22 2017, 12:13 AM

Hi everyone, this should be fixed now.

I apologize for any disruption this caused. If you encounter any more issues with language converter, please let me know.

Cwek awarded a token.Nov 22 2017, 12:27 AM

Change 392750 merged by jenkins-bot:
[mediawiki/extensions/InputBox@REL1_28] Have inputbox langconvert certain attributes

https://gerrit.wikimedia.org/r/392750